Bug 63469 - kfmclient kioslave permission lockout quirk
kfmclient kioslave permission lockout quirk
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-14 07:55 EDT by Warren Togami
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-09 00:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-04-14 07:55:42 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-9; Linux) 
 
Description of problem: 
Within a kfmclient SFTP session, if you click select Properties then 
Permissions of any file/folder and click "OK", a lock appears on that 
file/folder icon and you no longer have access to read the file.  It occurs 
regardless of if you change any permissions or not.  After the lock-out you 
can however still change the permissions. 
 
Close the window and re-open, and you again have access to that file. 
 
 
Version-Release number of selected component (if applicable): 
Skipjack beta 2 (up2date 4/13/2002) 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. sftp://username@servername.com 
2. Right-click any file, Properties, Permissions tab, click OK. 
3. Lock out! 
  
Actual Results:   
Lock appears on file.  No longer able to read it via kfmclient. 
 
Expected Results:   
Shouldn't lock.
Comment 1 Warren Togami 2002-04-28 00:29:08 EDT
More information:  
  
This lockout bug occurs with both FTP and SFTP in kfmclient.  It does occur 
with a test directory, but not a file named "dmesg.txt". 
Comment 2 Warren Togami 2002-05-09 04:22:28 EDT
Re-tested: Still exists in Red Hat Linux 7.3.
Comment 3 Warren Togami 2002-07-12 11:01:50 EDT
Still exists in Limbo, although it behaves irratically.  Tested over the sftp
kioslave - I am no longer able to lock myself out of directories, but I am able
to cause the lock to appear on files on the first or second try of modifying
permissions.  When I am appeared to be locked out of a file, any attempt of
opening it fails with a permission error.

Simply clicking the reload button makes the incorrect lock icons disappear and I
am again able to click open those files.
Comment 4 Warren Togami 2002-08-07 06:34:14 EDT
Tested again in Limbo2 kdebase-3.0.2-7.  
  
I am *always* able to lock myself out of a file or folder with over sftp:// or  
ftp:// with  
* Right click  
* Properties  
* Permissions  
* OK  
 
Clicking Reload removes the lock.
Comment 5 Warren Togami 2002-11-24 18:07:17 EST
Upstream Bugzilla report:
http://bugs.kde.org/show_bug.cgi?id=41797
Comment 6 Warren Togami 2002-12-24 00:53:08 EST
Still broken in Phoebe.
Comment 7 Warren Togami 2003-09-09 00:10:29 EDT
Seems fixed in Severn + Rawhide.

Note You need to log in before you can comment on or make changes to this bug.